Subject: Re: bug#42590: 27.0.91; Advice error for interactive commands

From: Michael Heerdegen <[email-masked]>
Date: Wed, 29 Jul 2020 19:41:35 +0200

Yuan Fu <[email-masked]> writes:

> To reproduce the issue, evaluate
>
> (advice-add 'backward-delete-char-untabify :after 'ignore)
>
> and hit backspace (which should call backward-delete-char-untabify), and
> an error occurs: apply: Wrong number of arguments: (1 . 2), 0

Had to think about it.  But it's expected I think: `ignore' is
interactive, and as documented, its interactive spec overwrites the
interactive spec of the original function.  And it doesn't fit.

So everything behaves as documented, it's your specified after advice
that causes the problem.  Right?

Michael.